> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Parties

> List & filter market parties.

If you specify multiple values for some filter parameter they are OR-ed. If you specify multiple separate filters they are "AND"-ed.

See [Party](/api-reference/core/models/party) for details on Parties.



## OpenAPI

````yaml /openapi.json get /core/v1/parties
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /core/v1/parties:
    get:
      summary: List Parties
      description: >-
        List & filter market parties.


        If you specify multiple values for some filter parameter they are OR-ed.
        If you specify multiple separate filters they are "AND"-ed.


        See [Party](/api-reference/core/models/party) for details on Parties.
      operationId: list_parties_core_v1_parties_get
      parameters:
        - description: Filter by Engrate party id(s)
          in: query
          name: id
          required: false
          schema:
            default: []
            description: Filter by Engrate party id(s)
            items:
              format: uuid
              type: string
            title: Id
            type: array
        - description: >-
            Filter by [Extra
            Identifiers](/api-reference/core/models/extra-identifier) - EIC,
            Ediel, VAT, and similar market-specific identifiers
          in: query
          name: extra_id
          required: false
          schema:
            default: []
            description: >-
              Filter by [Extra
              Identifiers](/api-reference/core/models/extra-identifier) - EIC,
              Ediel, VAT, and similar market-specific identifiers
            items:
              type: string
            title: Extra Id
            type: array
        - description: Filter by ISO 3166-1 alpha-2 country codes
          in: query
          name: country
          required: false
          schema:
            default: []
            description: Filter by ISO 3166-1 alpha-2 country codes
            examples:
              - SE
            items:
              type: string
            title: Country
            type: array
        - description: Filter by legal name using substring matching
          in: query
          name: name
          required: false
          schema:
            default: []
            description: Filter by legal name using substring matching
            items:
              type: string
            title: Name
            type: array
        - description: Filter by party role(s)
          in: query
          name: role
          required: false
          schema:
            default: []
            description: Filter by party role(s)
            examples:
              - system-operator
            items:
              type: string
            title: Role
            type: array
      responses:
        '200':
          content:
            application/json:
              example:
                parties:
                  - countries:
                      - SE
                    extra_ids:
                      - kind: eic
                        value: 46X000000000245K
                      - kind: se.ediel
                        value: '24200'
                    id: 0199c317-25ec-7cf7-94cc-32a39f068433
                    name: Ellevio AB
              schema:
                $ref: '#/components/schemas/GetPartiesResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetPartiesResponse:
      properties:
        parties:
          items:
            $ref: '#/components/schemas/Party'
          title: Parties
          type: array
      required:
        - parties
      title: GetPartiesResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Party:
      description: >-
        Represents a "Market Party" of some kind. Normally this is some legal
        person - a corporation, government entity, NGO etc - that serves some
        role in the electrical system.


        Parties may be DSOs, TSOs, Energy Retailers and so on.
      example:
        countries:
          - SE
        extra_ids:
          - kind: eic
            value: 46X000000000245K
          - kind: se.ediel
            value: '24200'
        id: 0199c317-25ec-7cf7-94cc-32a39f068433
        name: Ellevio AB
      properties:
        countries:
          description: >-
            ISO 3166-1 alpha-2 country codes, this indicates countries where
            this party is active in some way, not only their legal home country
          items:
            type: string
          title: Countries
          type: array
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Brief description of the party, if available
          title: Description
        extra_ids:
          description: >-
            [Extra Identifiers](/api-reference/core/models/extra-identifier) for
            this Party, like EIC identifiers where those exist
          items:
            $ref: '#/components/schemas/ExtraIdentifier'
          title: Extra Ids
          type: array
        id:
          description: Unique identifier for the party
          format: uuid
          title: Id
          type: string
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL to the logo of the party, if available
          title: Logo Url
        name:
          description: Legal name of the party
          title: Name
          type: string
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL to the website of the party, if available
          title: Website Url
      required:
        - countries
        - description
        - extra_ids
        - id
        - logo_url
        - name
        - website_url
      title: Party
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ExtraIdentifier:
      description: >-
        Extra identifiers are used to attach things like EIC ids, VAT numbers,
        jurisdiction-specific identifiers, etc.


        For example, Metering Grid Area's in parts of Europe are assigned an
        local jurisdiction EIC code; for those MGAs, the Engrate system will
        store the EIC as an extra identifier. However some jurisdictions have
        not yet switched to EIC codes, instead they rely on older local
        identification schemes. Swedish MGAs, as an example, use a local code
        assigned by the Swedish TSO.


        Because the local schemes are subject to collisions - two TSOs assigning
        the same numerical code to different things, as they do not coordinate
        id assignment - we also track an identifier "kind".
      example:
        kind: eic
        value: 46X000000000245K
      properties:
        kind:
          $ref: '#/components/schemas/IdentifierKind'
          description: The kind of identifier
        value:
          description: The identifier value
          title: Value
          type: string
      required:
        - kind
        - value
      title: ExtraIdentifier
      type: object
    IdentifierKind:
      enum:
        - eic
        - vat
        - gln
        - se.ediel
        - se.mga_code
        - no.mga_code
        - esett.mga_type
      title: IdentifierKind
      type: string
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````